
ACSA HK Bill Payment SDK - Bug #12944

[DEV - BackOffice] Unable to add new Merchant Bill for Merchant 400000019

31 December 2021 03:51 PM - Jun Hui  Yap

Status: Closed Start date: 31 December 2021

Priority: High Due date:  

Assignee: Jun Hui  Yap % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Step 1 - Created Merchant 400000019 South Horizons Management Ltd

Step 2 - Try to create New Merchant Bill under this Merchant

Step 3 - Input 01 and 02 in Bill Type Code

Issue:

"Duplicated record found. Please input different value." appear.

Merchant 400000019 South Horizons Management Ltd is having same category as 400000011 Whampoa Garden Management

Ltd, and Bill Type Code 01 and 02 are added in 400000011 Whampoa Garden Management Ltd.

Duplication checking should check within Merchant, not within Merchant Category.

History

#1 - 03 January 2022 12:01 PM - Jun Hui  Yap

- Priority changed from Normal to High

To mark as high priority

#2 - 03 January 2022 12:15 PM - Lim Sze Xiang

- Status changed from New to Assigned

- Assignee changed from Lim Sze Xiang to Koh Hong Zheng

#3 - 05 January 2022 03:14 PM - Koh Hong Zheng

- Assignee changed from Koh Hong Zheng to Lim Sze Xiang

- % Done changed from 0 to 100

#4 - 05 January 2022 04:51 PM - Lim Sze Xiang

- Assignee changed from Lim Sze Xiang to Koh Hong Zheng

Bill Type Code duplication check is not working correctly

#5 - 05 January 2022 05:38 PM - Koh Hong Zheng

- Assignee changed from Koh Hong Zheng to Lim Sze Xiang

#6 - 11 January 2022 11:45 AM - Lim Sze Xiang

- Status changed from Assigned to Resolved

- Assignee changed from Lim Sze Xiang to Jun Hui  Yap

#7 - 12 January 2022 05:44 PM - Jun Hui  Yap

- File 12944.png added

- Status changed from Resolved to Closed
Tested Good.

Files

Add Merchant Bill Duplicate.png 22.4 KB 31 December 2021 Jun Hui  Yap

12944.png 32.8 KB 12 January 2022 Jun Hui  Yap
